Package es.imim.DISGENET.internal.enrichment

# Class VariantEnrichmentTask

java.lang.Object
org.cytoscape.work.AbstractTask
es.imim.DISGENET.internal.enrichment.AbstractEnrichmentTask
es.imim.DISGENET.internal.enrichment.VariantEnrichmentTask

All Implemented Interfaces:
  `org.cytoscape.work.Task`

public class VariantEnrichmentTask extends AbstractEnrichmentTask

## Field Summary

Fields
Modifier and Type
Field
Description
`org.cytoscape.work.util.ListSingleSelection<Callable<org.cytoscape.model.CyColumn>>`
`columnNames`
`Integer`
`minNumVariants`
`boolean`
`newNetwork`
`double`
`pvalueThreshold`
`org.cytoscape.work.util.ListSingleSelection<String>`
`sources`
`org.cytoscape.work.util.ListSingleSelection<String>`
`typeId`

### Fields inherited from class org.cytoscape.work.AbstractTask

`cancelled`

## Constructor Summary

Constructors
Constructor
Description
`VariantEnrichmentTask(org.cytoscape.view.model.CyNetworkView cyNetworkView)`

## Method Summary

Modifier and Type
Method
Description
`void`
`run(org.cytoscape.work.TaskMonitor taskMonitor)`

### Methods inherited from class es.imim.DISGENET.internal.enrichment.AbstractEnrichmentTask

`getConn, getCurrNetwork, getEnrichList, listNodeColumnsNames, main, openConnection, setUrlParams`

### Methods inherited from class org.cytoscape.work.AbstractTask

`cancel, getTaskIterator, insertTasksAfterCurrentTask, insertTasksAfterCurrentTask, setTaskIterator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### columnNames

public org.cytoscape.work.util.ListSingleSelection<Callable<org.cytoscape.model.CyColumn>> columnNames

### sources

public org.cytoscape.work.util.ListSingleSelection<String> sources

### typeId

public org.cytoscape.work.util.ListSingleSelection<String> typeId

### newNetwork

public boolean newNetwork

### pvalueThreshold

public double pvalueThreshold

### minNumVariants

public Integer minNumVariants

## Constructor Details

### VariantEnrichmentTask

public VariantEnrichmentTask(org.cytoscape.view.model.CyNetworkView cyNetworkView)

## Method Details

### run

public void run(org.cytoscape.work.TaskMonitor taskMonitor) throws Exception

Specified by:
  `run` in interface `org.cytoscape.work.Task`
Overrides:
  `run` in class `AbstractEnrichmentTask`
Throws:
  `Exception`